
TYPO3.Flow - Bug # 49815

Status: Resolved Priority: Should have
Author: Christopher Hlubek Category:
Created: 2013-07-09 Assigned To:
Updated: 2014-05-11 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git master
Subject: PersistentObjectConverter does not allow to set arbitrary setters
Description

For a better abstraction of domain logic it is quite important to use "virtual" properties by implementing additional getters or setters
that will set internal properties. For example calculated properties, where a form should set a value that will be stored in some other
format or value.

The PersistentObjectConverter uses only the class schema which is built from all non-transient properties of a class. The 
ObjectConverter instead uses only setters or constructor arguments to get the type of child properties during type conversion.

Associated revisions
Revision 8c28a586 - 2013-07-14 22:37 - Christopher Hlubek

[BUGFIX] Allow arbitrary setters in PersistentObjectConverter

This change supports additional setters in entities by implementing a
fallback to the reflection service if the class schema does not contain
a property.

Change-Id: I521790eaa28768831f96cd3397f21c606b7a8ae7
Resolves: #49815
Releases: master, 2.0

Revision 4d68da2c - 2014-01-31 15:53 - Christopher Hlubek

[BUGFIX] Allow arbitrary setters in PersistentObjectConverter

This change supports additional setters in entities by implementing a
fallback to the reflection service if the class schema does not contain
a property.

Change-Id: I521790eaa28768831f96cd3397f21c606b7a8ae7
Resolves: #49815
Releases: master, 2.0

History
#1 - 2013-07-09 12:16 - Gerrit Code Review
- Status changed from New to Under Review
Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22140

#2 - 2013-07-09 15:02 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22140

#3 - 2013-07-14 22:37 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22140

#4 - 2014-01-31 15:55 - Gerrit Code Review

Patch set 1 for branch 2.0 of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/27203

#5 - 2014-05-11 12:54 - Bastian Waidelich
- Status changed from Under Review to Resolved
